Pakage mgr and system updater widget no longer updating



  • This afternoon I went to I went to the package manager to install a package, and saw that package pfblockerNG was outdated (yellow arrows), so I updated the package.  It went well, but immediately after I returned to the package manager I quickly saw

    Please wait while the list of packages is retrieved and formatted.

    Then it immediately turned into a red ribbon saying

    Unable to retrieve package information.

    This happens for the "Installed Packages" as well as "Available Packages" tabs.  Basically, I no longer can see what packages are installed on my system nor can I see the packages available in the repo.

    Also I noticed on the main page, the updater widget saying

    Obtaining update status

    then after a few seconds, turning into

    Unable to check for updates

    Thinking pfblocker was blocking some connections to important pfsense servers, I tried disabling pfblockerNG completely to no avail.  Snort is disabled and the blocked hosts list is empty.

    Now I cannot update, install or uninstall packages….  How do I remedy to this?

    Tried rebooting, doesnt help.  running "pkg update -f" from SSH yields to:

    [2.3.1-RELEASE][root@pfsense.localdomain]/root: pkg update -f
    Updating pfSense-core repository catalogue...
    Fetching meta.txz: 100%    944 B   0.9kB/s    00:01    
    Fetching packagesite.txz: 100%    2 KiB   1.9kB/s    00:01    
    Processing entries: 100%
    pfSense-core repository update completed. 9 packages processed.
    Updating pfSense repository catalogue...
    Fetching meta.txz: 100%    944 B   0.9kB/s    00:01    
    Fetching packagesite.txz: 100%  109 KiB 112.1kB/s    00:01    
    Processing entries: 100%
    pfSense repository update completed. 405 packages processed.
    

    Also running pkg upgrade -f yierlds:

    [2.3.1-RELEASE][root@pfsense.localdomain]/root: pkg upgrade -f
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    Checking for upgrades (147 candidates):  44%
    
    pfSense-kernel-pfSense-2.3.1_5 is locked and may not be modified
    Checking for upgrades (147 candidates): 100%
    Processing candidates (147 candidates): 100%
    The following 146 package(s) will be affected (of 0 checked):
    
    New packages to be INSTALLED:
    	dnsmasq: 2.76,1 [pfSense]
    
    Installed packages to be UPGRADED:
    	xinetd: 2.3.15_1 -> 2.3.15_2 [pfSense]
    	unbound: 1.5.8 -> 1.5.9 [pfSense]
    	strongswan: 5.4.0 -> 5.5.0 [pfSense]
    	sqlite3: 3.11.1 -> 3.13.0 [pfSense]
    	smartmontools: 6.4_2 -> 6.5_1 [pfSense]
    	rrdtool: 1.5.5_1 -> 1.6.0_1 [pfSense]
    	relayd: 5.5.20140810_1 -> 5.5.20140810_2 [pfSense]
    	python27: 2.7.11_2 -> 2.7.12 [pfSense]
    	php56-zlib: 5.6.22 -> 5.6.23 [pfSense]
    	php56-xmlwriter: 5.6.22 -> 5.6.23 [pfSense]
    	php56-xmlreader: 5.6.22 -> 5.6.23 [pfSense]
    	php56-xml: 5.6.22 -> 5.6.23 [pfSense]
    	php56-tokenizer: 5.6.22 -> 5.6.23 [pfSense]
    	php56-sysvshm: 5.6.22 -> 5.6.23 [pfSense]
    	php56-sysvsem: 5.6.22 -> 5.6.23 [pfSense]
    	php56-sysvmsg: 5.6.22 -> 5.6.23 [pfSense]
    	php56-sqlite3: 5.6.22 -> 5.6.23 [pfSense]
    	php56-sockets: 5.6.22 -> 5.6.23 [pfSense]
    	php56-simplexml: 5.6.22 -> 5.6.23 [pfSense]
    	php56-shmop: 5.6.22 -> 5.6.23 [pfSense]
    	php56-session: 5.6.22 -> 5.6.23 [pfSense]
    	php56-readline: 5.6.22 -> 5.6.23 [pfSense]
    	php56-posix: 5.6.22 -> 5.6.23 [pfSense]
    	php56-pdo_sqlite: 5.6.22 -> 5.6.23 [pfSense]
    	php56-pdo: 5.6.22 -> 5.6.23 [pfSense]
    	php56-pcntl: 5.6.22 -> 5.6.23 [pfSense]
    	php56-openssl: 5.6.22 -> 5.6.23 [pfSense]
    	php56-opcache: 5.6.22 -> 5.6.23_1 [pfSense]
    	php56-mcrypt: 5.6.22 -> 5.6.23 [pfSense]
    	php56-mbstring: 5.6.22 -> 5.6.23 [pfSense]
    	php56-ldap: 5.6.22 -> 5.6.23 [pfSense]
    	php56-json: 5.6.22 -> 5.6.23 [pfSense]
    	php56-hash: 5.6.22 -> 5.6.23 [pfSense]
    	php56-gettext: 5.6.22 -> 5.6.23 [pfSense]
    	php56-filter: 5.6.22 -> 5.6.23 [pfSense]
    	php56-dom: 5.6.22 -> 5.6.23 [pfSense]
    	php56-curl: 5.6.22 -> 5.6.23 [pfSense]
    	php56-ctype: 5.6.22 -> 5.6.23 [pfSense]
    	php56-bz2: 5.6.22 -> 5.6.23 [pfSense]
    	php56-bcmath: 5.6.22 -> 5.6.23 [pfSense]
    	php56: 5.6.22 -> 5.6.23 [pfSense]
    	php-xdebug: 2.2.5 -> 2.4.0 [pfSense]
    	pfSense-rc: 2.3.1_5 -> 2.3.2 [pfSense-core]
    	pfSense-default-config: 2.3.1_5 -> 2.3.2 [pfSense-core]
    	pfSense-base: 2.3.1_5 -> 2.3.2 [pfSense-core]
    	pfSense-Status_Monitoring: 1.4.2_1 -> 1.4.4_2 [pfSense]
    	pfSense: 2.3.1_5 -> 2.3.2 [pfSense]
    	perl5: 5.20.3_12 -> 5.20.3_13 [pfSense]
    	pecl-rrd: 1.1.3_2 -> 1.1.3_3 [pfSense]
    	pecl-radius: 1.2.7 -> 1.3.0 [pfSense]
    	pcre: 8.38_1 -> 8.39 [pfSense]
    	nginx: 1.8.1,2 -> 1.10.1,2 [pfSense]
    	luajit: 2.0.4 -> 2.0.4_1 [pfSense]
    	libssh2: 1.6.0_1,2 -> 1.7.0,2 [pfSense]
    	libedit: 3.1.20150325_2 -> 3.1.20150325_2,1 [pfSense]
    	isc-dhcp43-server: 4.3.3P1_1 -> 4.3.4 [pfSense]
    	isc-dhcp43-relay: 4.3.3P1_1 -> 4.3.4_1 [pfSense]
    	isc-dhcp43-client: 4.3.3P1_1 -> 4.3.4 [pfSense]
    	ipmitool: 1.8.15_1 -> 1.8.17_1 [pfSense]
    	gettext-runtime: 0.19.7 -> 0.19.8.1 [pfSense]
    	filterlog: 0.1_2 -> 0.1_4 [pfSense]
    	expat: 2.1.1_1 -> 2.1.1_2 [pfSense]
    	curl: 7.48.0_1 -> 7.49.1 [pfSense]
    	ca_root_nss: 3.22.2 -> 3.25 [pfSense]
    	bind-tools: 9.10.3P4 -> 9.10.4P2 [pfSense]
    
    Installed packages to be REINSTALLED:
    	pkg-1.8.7 [pfSense]
    	wrapalixresetbutton-0.0.7 [pfSense]
    	wol-0.7.1_2 [pfSense]
    	whois-5.1.5 [pfSense]
    	vstr-1.0.15_1 [pfSense]
    	voucher-0.1_2 [pfSense]
    	uclcmd-0.1 [pfSense]
    	sshlockout_pf-0.0.2 [pfSense]
    	ssh_tunnel_shell-0.1 [pfSense]
    	snort-2.9.8.3 [pfSense]
    	scponly-4.8.20110526_2 [pfSense]
    	rate-0.9_1 [pfSense]
    	radvd-1.9.1 [pfSense]
    	qstats-0.1_1 [pfSense]
    	php56-pfSense-module-0.12 [pfSense]
    	php-suhosin-0.9.38 [pfSense]
    	pftop-0.7_6 [pfSense]
    	pfSense-repo-2.3.2 [pfSense-core]
    	pfSense-pkg-snort-3.2.9.1_14 [pfSense]
    	pfSense-pkg-pfBlockerNG-2.1.1_2 [pfSense]
    	pfSense-pkg-RRD_Summary-1.3.1_2 [pfSense]
    	pfSense-pkg-Cron-0.3.6_2 [pfSense]
    	pecl-zmq-1.1.3_1 [pfSense]
    	pecl-ssh2-0.12 [pfSense]
    	openvpn-2.3.11 [pfSense]
    	openldap-client-2.4.44 [pfSense]
    	oniguruma5-5.9.6_1 [pfSense]
    	ntp-4.2.8p8 [pfSense]
    	nettle-3.2 [pfSense]
    	mysql56-client-5.6.30 [pfSense]
    	mpd5-5.8 [pfSense]
    	mpd4-4.4.1_1 [pfSense]
    	miniupnpd-1.9.20160113,1 [pfSense]
    	minicron-0.0.2 [pfSense]
    	lzo2-2.09 [pfSense]
    	links-2.9,1 [pfSense]
    	lighttpd-1.4.39_1 [pfSense]
    	libzmq4-4.1.4_1 [pfSense]
    	libxml2-2.9.3 [pfSense]
    	libucl-0.8.0 [pfSense]
    	libsodium-1.0.8 [pfSense]
    	libpdel-0.5.3_6 [pfSense]
    	libmcrypt-2.5.8_3 [pfSense]
    	libltdl-2.4.6 [pfSense]
    	libidn-1.31 [pfSense]
    	libiconv-1.14_9 [pfSense]
    	libffi-3.2.1 [pfSense]
    	libevent2-2.0.22_1 [pfSense]
    	libdnet-1.12_1 [pfSense]
    	libdaemon-0.14_1 [pfSense]
    	ldns-1.6.17_5 [pfSense]
    	indexinfo-0.2.4 [pfSense]
    	igmpproxy-0.1_3,1 [pfSense]
    	idnkit-1.0_5 [pfSense]
    	grepcidr-2.0 [pfSense]
    	gogoc-1.2_1 [pfSense]
    	gmp-5.1.3_3 [pfSense]
    	glib-2.46.2 [pfSense]
    	filterdns-1.0_9 [pfSense]
    	expiretable-0.6_1 [pfSense]
    	dpinger-2.0 [pfSense]
    	dmidecode-3.0 [pfSense]
    	dhcpleases6-0.1_2 [pfSense]
    	dhcpleases-0.3_1 [pfSense]
    	dhcp6-20080615_7 [pfSense]
    	daq-2.0.6 [pfSense]
    	cpustats-0.1_1 [pfSense]
    	cpdup-1.18 [pfSense]
    	clog-1.0.1 [pfSense]
    	choparp-20150613 [pfSense]
    	check_reload_status-0.0.7 [pfSense]
    	bwi-firmware-kmod-3.130.20 [pfSense]
    	bsnmp-ucd-0.4.2 [pfSense]
    	bsnmp-regex-0.6_1 [pfSense]
    	broccoli-1.97,1 [pfSense]
    	beep-1.0_1 [pfSense]
    	barnyard2-1.13 [pfSense]
    	ataidle-2.7.2 [pfSense]
    	aggregate-1.6_1 [pfSense]
    	GeoIP-1.6.9 [pfSense]
    
    Number of packages to be installed: 1
    Number of packages to be upgraded: 65
    Number of packages to be reinstalled: 80
    
    The process will require 2 MiB more space.
    78 MiB to be downloaded.
    

    What do I do now?  Can I brick the system by upgrading from console??  Should I even try ?



  • Although there's the small possibility that both our systems have a problem…since my pfSense Netgear box just started doing the same thing as you described I wouldn't take any drastic action yet since hopefully its a problem on the pfSense side.



  • Well looking at the console output of the pgk update & upgrade commands, I believe the pfsense servers (repos and all) are working fine, its the webUI thats unstable and crapped out. I may be wrong but I hope a pfsense dev sees this thread sooner than later…



  • Fixed.  Upgraded from console

    https://forum.pfsense.org/index.php?topic=116019.0

    pfsense really needs a better way of notifying users for widespread problems like this, like a stickie system or something.  I was not the only one apparently.  Upgrading past 2.3.1 seems to cause issues that needs manual intervention.



  • I have gained a lot of business ventures.


Log in to reply